Skip to main content
GET
/
api
/
v1
/
workflow
/
{workflowId}
/
executions
List workflow executions
curl --request GET \
  --url https://prod.featherhq.com/api/v1/workflow/{workflowId}/executions \
  --header 'X-API-Key: <api-key>'
{
  "executions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "CREATED",
      "startedAt": "<string>",
      "completedAt": "<string>",
      "customerLeadId": "<string>",
      "primaryPhone": "<string>",
      "disposition": "COULD_NOT_CONNECT",
      "createdAt": "<string>",
      "metadata": {
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "variables": {},
      "definition": {
        "steps": [
          {
            "type": "CALL",
            "order": 2,
            "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "delayInSecs": 0,
            "finishOn": [],
            "leaveVoicemail": false,
            "initialMessage": "<string>",
            "count": 1
          }
        ],
        "isInfinite": false
      },
      "stepIndex": 123,
      "nextRunAt": "<string>",
      "priorityDate": "<string>"
    }
  ],
  "pagination": {
    "limit": 10,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

workflowId
string<uuid>
required

Query Parameters

status
enum<string>

Filter by execution status

Available options:
CREATED,
RUNNING,
COMPLETED,
FAILED,
CANCELLED,
PAUSED
customerLeadId
string

Filter by customer lead ID

enriched
string
default:false

Include heavy fields (metadata, definition, variables) in the response

cursor
string
limit
string
default:10

Response

Agent workflow executions retrieved successfully

executions
object[]
required

List of executions

pagination
object
required